<div>
  <div class="w-full h-96 relative">
    <div class="absolute inset-0 bg-cover bg-center filter brightness-65"
      style="background-image: url(../../../assets/commerce.webp)"></div>
  </div>

  <div class="my-10">
    <h2 class="text-center text-[#C29667] text-2xl min[425px]:text-xl relative">
      Devenir commerçant
    </h2>
    <hr class="absolute mt-2 left-1/2 transform -translate-x-1/2 w-16 border-t-1 border-[#C29667]">
    <br />
    <p class="text-center text-sm text-gray-500 mx-10">
      Vous êtes commerçant ? Vous possédez une activité de commerce et vous souhaitez la développer par notre
      intermédiaire ? Avec La Virée Terroir,
      votre commerce sera facilement visible pour une grosse majorité de visiteurs du site.
    </p>
    @if(isinvalid){
    <div class="rounded animate-fadeIn delay-700 bg-red-100 px-4 py-3 mx-3 mb-8 mt-4 md:-mt-12 xl:-mt-16 xl:mx-60">
      <div class="flex gap-3">
        <i class="fa-solid fa-circle-xmark text-red-400 mt-1"></i>
        @if(isinvalid){
        <p class="font-medium text-red-900">Oups, un problème est survenue</p>
        }
      </div>
      @if(isinvalid){
      <p class="text-red-700 text-sm ml-7 mt-2">Il y actuellement un problème avec le formulaire, veuillez réessayer ultérieurement.</p>
      }
    </div>
    }
    <form [formGroup]="createCommerceForm" (ngSubmit)="onCreateCommerceSubmit()">
      <div class="w-full px-5 mt-10">
        <div class="relative mb-4 text-left">
          <label for="merchant_name" class="leading-7 text-gray-600">Nom du commerce</label>
          <input type="text" id="merchant_name" name="merchant_name"
            class="w-full rounded bg-gray-200 focus:ring-2 focus:ring-[#C29667] text-base outline-none py-1 px-4 leading-8 transition-colors duration-200 ease-in-out border-2 {{ isRequiredName ? 'border-rose-600' : '' }}"
            formControlName="merchant_name">
          @if(isRequiredName){
          <span class="text-rose-600 dark:text-rose-500 text-sm">Le nom du commerce ne peut pas être vide</span>
          }
        </div>

        <div class="relative mb-4 text-left">
          <label for="merchant_email" class="leading-7 text-gray-600">Email</label>
          <input type="email" id="merchant_email" name="merchant_email"
            class="w-full rounded bg-gray-200 focus:ring-2 focus:ring-[#C29667] text-base outline-none py-1 px-4 leading-8 transition-colors duration-200 ease-in-out border-2 {{ isRequiredEmail || isEmailValid ? 'border-rose-600' : '' }}"
            formControlName="merchant_email">
          @if(isRequiredEmail){
          <span class="text-rose-600 dark:text-rose-500 text-sm">L'e-mail ne peut pas être vide</span>
          }
          @if(isEmailValid){
          <span class="text-rose-600 dark:text-rose-500 text-sm">L'e-mail n'est pas correct</span>
          }
        </div>

        <div class="relative mb-4 text-left">
          <label for="merchant_phone" class="leading-7 text-gray-600">N°tel</label>
          <input type="tel" id="merchant_phone" name="merchant_phone"
            class="w-full rounded bg-gray-200 focus:ring-2 focus:ring-[#C29667] text-base outline-none py-1 px-4 leading-8 transition-colors duration-200 ease-in-out border-2 {{ isRequiredTel ? 'border-rose-600' : '' }}"
            formControlName="merchant_phone">
          @if(isRequiredTel){
          <span class="text-rose-600 dark:text-rose-500 text-sm">Le numéro de téléphone ne peut pas être vide</span>
          }
        </div>

        <div class="relative mb-4 text-left">
          <label for="merchant_address" class="leading-7 text-gray-600">Adresse</label>
          <input type="text" id="merchant_address" name="merchant_address"
            class="w-full rounded bg-gray-200 focus:ring-2 focus:ring-[#C29667] text-base outline-none py-1 px-4 leading-8 transition-colors duration-200 ease-in-out border-2 {{ isRequiredAddress ? 'border-rose-600' : '' }}"
            formControlName="merchant_address">
          @if(isRequiredAddress){
          <span class="text-rose-600 dark:text-rose-500 text-sm">L'adresse ne peut pas être vide</span>
          }
        </div>

        <button
          class="text-white bg-[#C29667] border-0 py-2 mt-5 px-8 focus:outline-none hover:bg-[#734124] transition duration-500 rounded-full text-lg xl:text-xl w-full"
          type="submit">
          Devenir commerçant
        </button>
      </div>
    </form>
  </div>
</div>

<app-spinner [loading]="isLoading"></app-spinner>
<app-modal [isOpen]="modalInfo" [title]="'Vous y êtes presque !'">
  <p>Un e-mail de confirmation vous a été envoyé à l'adresse mail renseignée dans le formulaire.</p>
  <p>Rendez-vous sur votre boîte mail afin de finaliser votre inscription en tant que commerçant !</p>
</app-modal>